
  public partial class DataTableDemo : System.Web.UI.Page
  {
      protected void Page_Load(object sender, EventArgs e)
      {
          string connStr = "server=(local);uid=sa;pwd=123;database=demo";
          SqlConnection conn = new SqlConnection(connStr);
          【SqlDataAdapter】 da = new SqlDataAdapter("select * 【from】 users", conn);
          DataSet ds = new 【DataSet】();
          da.【Fill】(【ds】, "users");
          DataTable dt = ds.【Tables】[0];
  
          Response.Write("----字段名----");
          Response.Write("<br/>");
          for (int i = 0; i < dt.【Columns】.Count; i++)
              Response.Write(dt.Columns[i].【ColumnName】 + "<br/>");
  
  
          Response.Write("----数据----");
          Response.Write("<br/>");
          for (int i = 0; i < dt.Rows.【Count】; i++)
              Response.Write(【dt.Rows】[i]["username"].ToString() +"&nbsp;&nbsp;&nbsp;&nbsp;" +dt.Rows[i]["realname"].ToString() +"<br/>");
      }
  
  }

--答案--
   Tables   DataSet   Count   SqlDataAdapter   ColumnName   Columns   dt.Rows